curl -X GET "https://api.danubeai.com/v1/ratings/tool/tool_abc123"
{
"tool_id": "tool_abc123",
"avg_rating": 4.3,
"rating_count": 47
}
Ratings
Get Tool Ratings
Get aggregated ratings for a tool
GET
/
v1
/
ratings
/
tool
/
{tool_id}
curl -X GET "https://api.danubeai.com/v1/ratings/tool/tool_abc123"
{
"tool_id": "tool_abc123",
"avg_rating": 4.3,
"rating_count": 47
}
Overview
Returns the aggregated star rating for a tool, including the average score and total number of ratings. No authentication required.Path Parameters
string
required
The tool UUID
Response
string
The tool identifier
number
Average rating (1.0-5.0)
integer
Total number of ratings submitted
{"avg_rating": null, "rating_count": 0}. Ratings submitted by Danube’s own dogfooding agents are excluded from both values.
Example
curl -X GET "https://api.danubeai.com/v1/ratings/tool/tool_abc123"
{
"tool_id": "tool_abc123",
"avg_rating": 4.3,
"rating_count": 47
}
